openuniverse (1.0beta3.1+dfsg-7.2build1) resolute; urgency=medium

  * No-change mass rebuild for Ubuntu 26.04 (LP: #2132257)

 -- Graham Inggs <ginggs@ubuntu.com>  Mon, 26 Jan 2026 20:40:40 +0000

openuniverse (1.0beta3.1+dfsg-7.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Make requirement for root when building the package explicit.
    (Closes: #1089408)

 -- Niels Thykier <niels@thykier.net>  Wed, 01 Jan 2025 15:59:46 +0000

openuniverse (1.0beta3.1+dfsg-7.1) unstable; urgency=low

  [ Ying-Chun Liu (PaulLiu) ]
  * Non-maintainer upload.
  * Migrate to DebSrc3.0 format. (Closes: #1007655)
    - Add debian/patches/*.patch split from diff.gz.
      + 0001_patch_AUTHORS.patch
      + 0002_fix_autotools.patch
      + 0003_add_data.patch
      + 0004_add_texfont.patch
      + 0005_fix_const.patch
      + 0006_fix_yy.patch
      + 0007_fix_log.patch
      + 0008_fix_comet.patch
      + 0009_fix_flares.patch
      + 0010_fix_info.patch
      + 0011_fix_keyboard.patch
      + 0012_dont_shutdown_if_screenshot_fail.patch
    - Add debian/clean to delete non-source changes.
  * Remove debian/postinst.debhelper, debian/postrm.debhelper, debian/substvars
  * debian/control: Remove Build-Depends on plib1.8.4-dev (Closes: #1023998)
  * debian/contorl: Add misc:Depends to openuniverse-common
  * Add debian/patches/0100_fix_no_display_callback.patch
    - Fix "No display callback registered" error.

  [ Helmut Grohne <helmut@subdivi.de> ]
  * Non-maintainer upload.
  * Fix FTCBFS: Let dh_auto_configure pass --host to configure.
    (Closes: #995428)

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Thu, 08 Dec 2022 21:57:50 +0800

openuniverse (1.0beta3.1+dfsg-7) unstable; urgency=medium

  * Apply patch provided by Helmut Grohne which fixes FTCBFS: Export
    triplet-prefixed CC and CXX. (Closes: #871047)
    This is required to cross build from source, because it uses the build
    architecture compiler and thus fails finding libfl.a at configure time.
  * Remove celestia from Suggests: as it has not been available in Debian
    for years (since 2016 https://tracker.debian.org/pkg/celestia). Newer
    versions are available at https://celestia.space/download.html but they
    are not packaged within Debian.
  * Adjust debian/copyright to indicate that the old website
    (openuniverse.org) is not anymore available and one should use 
    sourceforge.net to download the last version
  * debian/README.Debian: Update information on support for this package, 
    status of Celestia in Debian and known issues with Nvidia cards (add
    reference to bug #986176))
  * debian/compat, debian/control: Update to compatibility version 12
  * debian/TODO: recode in UTF-8 [lintian fix]
  * debian/docs: remove NEWS from the list, it is really an empty file
    [lintian fix]
  * debian/menu: remove menu file as a desktop file is already provided
    [lintian fix]
  * debian/rules: 
     - Include dpkg-buildflags properly so the -g option is included and the
       package includes debugging symbols, this also enables the hardening
       flags [lintian fix]
     - Use CXXFLAGS from dpkg-buildflags when building the package
  * src/ou.h: Change the definition of error to prevent errors when using
    -Wformat-security (using fputs instead of fprintf)

 -- Javier Fernández-Sanguino Peña <jfs@debian.org>  Sun, 05 Sep 2021 13:14:28 +0200

openuniverse (1.0beta3.1+dfsg-6.1) unstable; urgency=medium

  * Non maintainer upload by the Reproducible Builds team.
  * No source change upload to rebuild on buildd with .buildinfo files.

 -- Holger Levsen <holger@debian.org>  Sat, 02 Jan 2021 01:09:07 +0100

openuniverse (1.0beta3.1+dfsg-6) unstable; urgency=high
 
  * debian/openuniverse.links: Fix symbolic link definition that prevent the
    program from starting (Closes: #850632)

 -- Javier Fernández-Sanguino Peña <jfs@debian.org>  Mon, 06 Feb 2017 20:54:45 +0100

openuniverse (1.0beta3.1+dfsg-5) unstable; urgency=low

  * debian/rules:
     - Fix FTBFS when only the arch-independent package is built, thanks go to
       Santiago Vila for the patch (Closes: #822951)
     - Create links using dh_link (openuniverse.links) instead of manually

 -- Javier Fernández-Sanguino Peña <jfs@debian.org>  Fri, 29 Apr 2016 19:25:26 +0200

openuniverse (1.0beta3.1+dfsg-4) unstable; urgency=medium

  * debian/rules: Now use debhelper tools to build the package. This should
    fix many of the lintian errors  (Closes: #817303, #822015)
  * debian/control: 
     - Add dependancy on debhelper 
     - Updated Standards version
     - Update maintainer's name (use UTF-8)
     - Update homepage
  * debian/compat: set compatibility version 9 (Closes:  #817609)

 -- Javier Fernández-Sanguino Peña <jfs@debian.org>  Sat, 23 Apr 2016 19:54:10 +0200

openuniverse (1.0beta3.1+dfsg-3) unstable; urgency=low

  * Build-Depend on libjpeg-dev for the transition from libjpeg62 to libjpeg8
    (Closes: #644071)

 -- Javier Fernandez-Sanguino Pen~a <jfs@debian.org>  Sun, 02 Oct 2011 21:25:12 +0200

openuniverse (1.0beta3.1+dfsg-2) unstable; urgency=low

  * Add Build-Depend on libplib1-dev to prepare for the binary package name
    change the maintainer is preparing for plib 1.8.5. libplib1 is still in
    experimental, however. So the package will need to be rebuilt when the new
    plib is uploaded to sid.

 -- Javier Fernandez-Sanguino Pen~a <jfs@debian.org>  Sun, 26 Apr 2009 11:44:42 +0200

openuniverse (1.0beta3.1+dfsg-1) unstable; urgency=low

   * Acknowledge NMU
   * Use patch provided by Thorsten Alteholz so that openuniverse only
     creates a log file if the '-logfile' argument is used. (Closes: 386848)
   * Update debian/openuniverse.1 to describe the new command line
     argument (-logfile)
   * Updated debian/openuniverse.1 to describe one known bug (Y2038)
   * Change the maintainer email address
   * Add a 'q' key to the program to quit it.
   * Modify the desktop file by removing the 'Encoding' key (not standard),
     adjusting some values, also add a translation to the comment (to
     Spanish)
   * Add a pixmap file for the menu
   * Add alternative libglut3-dev to freeglut3-dev in Build-Depends to
     be backport-friendly
   * Code fixes:
      * Add an include for <fcntl.h> in ou.cpp to fix FTBFS
      * Redefine several functions and parts of the code to use a 'const
       char *' as argument to prevent g++'s 'warning: deprecated conversion
       from string constant to 'char*' '
 
 -- Javier Fernandez-Sanguino Pen~a <jfs@debian.org>  Sun, 18 Jan 2009 21:30:43 +0100

openuniverse (1.0beta3.1+dfsg-0.1) unstable; urgency=low

  * Non-maintainer upload.
  * Re-encode debian/copyright from iso-8859-1 to utf-8
  * Delete texfont.cpp and texfont.h from the upstream. (Closes: #467125)
  * Add comments to debian/copyright for repackaging.
  * Add new texfont.cpp and texfont.h which uses plib
  * Add Build-Depends on plib1.8.4-dev
  * Adjust debian/rules to use plib
  * Fix menu to Applications/Science/Astronomy (Closes: #402371, #410748)
  * Build-Depends on freeglut3-dev instead of libglut3-dev (Closes: #394498)
  * Use Homepage field instead of the pseudo field in long description
  * Add debian/compat instead of using DH_COMPAT
  * Fix debian-rules-ignores-make-clean-error

 -- Ying-Chun Liu (PaulLiu) <grandpaul@gmail.com>  Sun, 14 Apr 2008 00:12:35 +0800

openuniverse (1.0beta3.1-7) UNRELEASED; urgency=low
  
  * If log.txt exists in the current working directory OU will not overwrite
  * Build-Depend on freeglut3-dev instead of libglut3-dev, but still be
    backport-friendly (Closes: #394498)

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Sat, 21 Oct 2006 21:59:32 +0200

openuniverse (1.0beta3.1-6) unstable; urgency=high

  *  Build-Depend on libglu1-mesa-dev (Closes: #366669)

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Sun, 21 May 2006 08:16:29 +0200

openuniverse (1.0beta3.1-5) unstable; urgency=low

  * Add desktop file provided by Phil Bull to Ubuntu (1.0beta3.1-2ubuntu2)

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Tue,  9 May 2006 10:52:07 +0200

openuniverse (1.0beta3.1-4) unstable; urgency=low

  * Fix the debian/rules to use dh_install properly, this way autobuilders
    will not build incorrect packages (Closes: #348841)
  [ Lintian fixes ]
  * Provide manpage in the correct package (openuniverse, not
    openuniverse-common). Adjust Conflicts of openuniverse accordingly
  * Fix FSF address in copyright file
  * Removed debian/conffiles to prevent duplicate files
  * Remove latin-1 char (in my name) from the manpage.

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Fri, 20 Jan 2006 00:27:56 +0100

openuniverse (1.0beta3.1-3) unstable; urgency=low

  * Remove xlibs-dev Build-Depends and added missing Build-Depends on X
    libraries (Closes: #347102)
  * Use debhelper compatibility version 4

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Sun, 15 Jan 2006 00:51:40 +0100

openuniverse (1.0beta3.1-2) unstable; urgency=low

  * Applied Andreas Jochens's patch to fix a FTBFS when compiling in amd64
    with gcc4.0 (Closes: #287883)

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Sun, 20 Mar 2005 00:59:07 +0100

openuniverse (1.0beta3.1-1) unstable; urgency=low

  * Repackaged openuniverse with a new stardata file. The stardata file
    has been generated with a custom script from the data provided in the
    kstars package, which uses the Hipparcos stardata catalogue which is
    free. The new star data catalogue might not be as complete as the previous
    one (based on Yale) but it is sufficient for most purposes. I might
    try to have a Yale parser in order to regenerate the data if the
    'yale' package is installed and available but for the moment this will
    do (Closes: #246049)
  * Included a few scripts to massage data from external sources (SpaceChart,
    the Yale catalogue and Kstars) to OpenUniverse's format
  * Adjusted the copyright file accordingly.

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Thu, 10 Jun 2004 23:59:22 +0200

openuniverse (1.0beta3-9) unstable; urgency=low

  * Move dh_movefiles call to the install target so that builds that
    do not run binary-indep move common files away from debian/tmp
    [hopefully now fixes this bug, cross fingers..] (Closes: #234490)


 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Fri, 27 Feb 2004 00:47:48 +0100

openuniverse (1.0beta3-8) unstable; urgency=low

  * The "remind myself to fully test all scenarios before releasing" release
  * Changed the order in which binaries packages get created in 
    order to dh_movefiles before the openuniverse  package is created.
    Hopefully this won't introduce any new bugs.
    (Closes: #234490, 234645)

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Wed, 25 Feb 2004 13:25:19 +0100

openuniverse (1.0beta3-7) unstable; urgency=low

  * Openuniverse-common replaces/conflicts previous ou versions (Closes: #234490)

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Tue, 24 Feb 2004 08:45:03 +0100

openuniverse (1.0beta3-6) unstable; urgency=low

  * Moved all arch independent data to a separate package (Closes: #233425) 
  * Created symbolic link in /usr/share/doc/openuniverse in build instead
    of binary-arch target
  * Modified address of the FSF (updated to current one)

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Wed, 18 Feb 2004 09:18:04 +0100

openuniverse (1.0beta3-5) unstable; urgency=low

  * Moved screenshots directory to /var/games/openuniverse/scrshots
    this directory is setgid games but I'm not considering making
    openuniverse setgid. An administrator who wants his users to
    dump screenshots to the system must, specifically, grant them
    access to that directory. An alternative solution would be
    to make it rwxrwxrwt directory (such as /tmp) but I'm not doing
    this in the package for obvious security reasons. Finally, another
    solution would be making screenshots in the current working directory
    (or the user's home directory) which might be implemented in the
    future (Closes: #221607)
  * Documented the above and also fixed the typos in the manual page
    (Closes: #221614)
  * Also added a noticed regarding screenshots to the README.Debian file
  * Added a proper copyright notice
  * Openuniverse will not crash if it cannot write a screenshot (the 
    ScreenShot function will just return instead of shutdown())
  * Openuniverse will print the SHOTS_DIR in the error message if it
    cannot write to it.

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Wed, 24 Dec 2003 12:36:26 +0100

openuniverse (1.0beta3-4) unstable; urgency=low

  * Moved to 'science' section. 

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Wed, 12 Nov 2003 00:20:24 +0100

openuniverse (1.0beta3-3) unstable; urgency=low

  * Recovered from the archive (yes, I know I asked for it to be
    removed -#174453- but a package still Suggests: it and I want to 
    make a clean upgrade path from woody for people)
  * Added README.Debian with information about the Ndivia card's issues.
  * Added Homepage and notice of warning to control file
  * Cleanup of debian/rules
  * Updated Build-Depends, including xlibs-dev, flex, bison and libglutg3-dev 
  * Updated Standards version
  * Ou.conf is now stored in /etc (where it should always have been)
  * debian/rules now uses DESTDIR
  * Added #include <string.h> to src/cfgparse.y and fixed some syntactic
    errors.
  * Used code borrowed from the MNG Library to fix compilation error 
    in milkyway.cpp
  * Added  #define GL_GLEXT_PROTOTYPES to comet.cpp
  * Removed unecessary files from documentation (AUTHORS and INSTALL)

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Thu,  5 Jun 2003 01:40:55 +0200

openuniverse (1.0beta3-2) unstable; urgency=low

  * Fixed description typo.

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Mon, 26 Nov 2001 17:41:24 +0100

openuniverse (1.0beta3-1) unstable; urgency=low

  * Initial Release.
  * Fixed a tiny icky bug in the configure script that would not make it find glut (added -lm :)

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Wed,  6 Jun 2001 19:56:03 +0200

Local variables:
mode: debian-changelog
End:
